## org.eclipse.jst.jsf.common.metadata
Interface MetadataPackage.Literals

Enclosing interface:
  MetadataPackage

    public static interface MetadataPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `ENTITY` The meta object literal for the '`Entity`' class
`static EReference` `ENTITY__CHILD_ENTITIES` The meta object literal for the 'Child Entities' containment reference list feature
`static EAttribute` `ENTITY__ID` The meta object literal for the 'Id' attribute feature
`static EReference` `ENTITY__INCLUDE_GROUPS` The meta object literal for the 'Include Groups' reference list feature
`static EReference` `ENTITY__TRAITS` The meta object literal for the 'Traits' containment reference list feature
`static EAttribute` `ENTITY__TYPE` The meta object literal for the 'Type' attribute feature
`static EClass` `ENTITY_GROUP` The meta object literal for the '`Entity Group`' class
`static EDataType` `IENTITY_VISITOR` The meta object literal for the 'IEntity Visitor' data type
`static EDataType` `IMETA_DATA_SOURCE_MODEL_PROVIDER` The meta object literal for the 'IMeta Data Source Model Provider' data type
`static EClass` `INCLUDE_ENTITY_GROUP` The meta object literal for the '`Include Entity Group`' class
`static EAttribute` `INCLUDE_ENTITY_GROUP__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `INCLUDE_ENTITY_GROUP__MODEL_URI` The meta object literal for the 'Model Uri' attribute feature
`static EDataType` `ITRAIT_VISITOR` The meta object literal for the 'ITrait Visitor' data type
`static EClass` `MODEL` The meta object literal for the '`Model`' class
`static EAttribute` `MODEL__CURRENT_MODEL_CONTEXT` The meta object literal for the 'Current Model Context' attribute feature
`static EReference` `MODEL__ENTITY_GROUPS` The meta object literal for the 'Entity Groups' reference list feature
`static EAttribute` `MODEL__SOURCE_MODEL_PROVIDER` The meta object literal for the 'Source Model Provider' attribute feature
`static EDataType` `MODEL_CONTEXT` The meta object literal for the 'Model Context' data type
`static EClass` `TRAIT` The meta object literal for the '`Trait`' class
`static EAttribute` `TRAIT__ID` The meta object literal for the 'Id' attribute feature
`static EAttribute` `TRAIT__SOURCE_MODEL_PROVIDER` The meta object literal for the 'Source Model Provider' attribute feature
`static EReference` `TRAIT__VALUE` The meta object literal for the 'Value' containment reference feature

Field Detail

### TRAIT

    static final EClass TRAIT

  The meta object literal for the '`Trait`' class.

  See Also:
    `TraitImpl`, `MetadataPackageImpl.getTrait()`

### TRAIT__ID

    static final EAttribute TRAIT__ID

  The meta object literal for the 'Id' attribute feature.

### TRAIT__VALUE

    static final EReference TRAIT__VALUE

  The meta object literal for the 'Value' containment reference feature.

### TRAIT__SOURCE_MODEL_PROVIDER

    static final EAttribute TRAIT__SOURCE_MODEL_PROVIDER

  The meta object literal for the 'Source Model Provider' attribute feature.

### INCLUDE_ENTITY_GROUP

    static final EClass INCLUDE_ENTITY_GROUP

  The meta object literal for the '`Include Entity Group`' class.

  See Also:
    `IncludeEntityGroupImpl`, `MetadataPackageImpl.getIncludeEntityGroup()`

### INCLUDE_ENTITY_GROUP__ID

    static final EAttribute INCLUDE_ENTITY_GROUP__ID

  The meta object literal for the 'Id' attribute feature.

### INCLUDE_ENTITY_GROUP__MODEL_URI

    static final EAttribute INCLUDE_ENTITY_GROUP__MODEL_URI

  The meta object literal for the 'Model Uri' attribute feature.

### MODEL

    static final EClass MODEL

  The meta object literal for the '`Model`' class.

  See Also:
    `ModelImpl`, `MetadataPackageImpl.getModel()`

### MODEL__SOURCE_MODEL_PROVIDER

    static final EAttribute MODEL__SOURCE_MODEL_PROVIDER

  The meta object literal for the 'Source Model Provider' attribute feature.

### MODEL__CURRENT_MODEL_CONTEXT

    static final EAttribute MODEL__CURRENT_MODEL_CONTEXT

  The meta object literal for the 'Current Model Context' attribute feature.

### MODEL__ENTITY_GROUPS

    static final EReference MODEL__ENTITY_GROUPS

  The meta object literal for the 'Entity Groups' reference list feature.

### ENTITY

    static final EClass ENTITY

  The meta object literal for the '`Entity`' class.

  See Also:
    `EntityImpl`, `MetadataPackageImpl.getEntity()`

### ENTITY__CHILD_ENTITIES

    static final EReference ENTITY__CHILD_ENTITIES

  The meta object literal for the 'Child Entities' containment reference list feature.

### ENTITY__TRAITS

    static final EReference ENTITY__TRAITS

  The meta object literal for the 'Traits' containment reference list feature.

### ENTITY__ID

    static final EAttribute ENTITY__ID

  The meta object literal for the 'Id' attribute feature.

### ENTITY__TYPE

    static final EAttribute ENTITY__TYPE

  The meta object literal for the 'Type' attribute feature.

### ENTITY__INCLUDE_GROUPS

    static final EReference ENTITY__INCLUDE_GROUPS

  The meta object literal for the 'Include Groups' reference list feature.

### ENTITY_GROUP

    static final EClass ENTITY_GROUP

  The meta object literal for the '`Entity Group`' class.

  See Also:
    `EntityGroupImpl`, `MetadataPackageImpl.getEntityGroup()`

### ITRAIT_VISITOR

    static final EDataType ITRAIT_VISITOR

  The meta object literal for the 'ITrait Visitor' data type.

  See Also:
    `ITraitVisitor`, `MetadataPackageImpl.getITraitVisitor()`

### IENTITY_VISITOR

    static final EDataType IENTITY_VISITOR

  The meta object literal for the 'IEntity Visitor' data type.

  See Also:
    `IEntityVisitor`, `MetadataPackageImpl.getIEntityVisitor()`

### IMETA_DATA_SOURCE_MODEL_PROVIDER

    static final EDataType IMETA_DATA_SOURCE_MODEL_PROVIDER

  The meta object literal for the 'IMeta Data Source Model Provider' data type.

  See Also:
    `IMetaDataSourceModelProvider`, `MetadataPackageImpl.getIMetaDataSourceModelProvider()`

### MODEL_CONTEXT

    static final EDataType MODEL_CONTEXT

  The meta object literal for the 'Model Context' data type.

  See Also:
    `ModelKeyDescriptor`, `MetadataPackageImpl.getModelContext()`